be.ehealth.businessconnector.wsconsent.builders.impl

## Class RequestObjectBuilderImpl

- java.lang.Object
- - be.ehealth.businessconnector.wsconsent.builders.impl.RequestObjectBuilderImpl

- All Implemented Interfaces:
    RequestObjectBuilder

      public class RequestObjectBuilderImpl
      extends Object
      implements RequestObjectBuilder

  Implementation for `RequestObjectBuilder`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `WSCONSENT_MAXROWS` the property to retrieve the maximum number of rows for to be retrieved by the get method from the configuration.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestObjectBuilderImpl()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetPatientConsentRequest` | `createGetRequest(AuthorWithPatientAndPersonType author, SelectGetPatientConsentType consent)` Method which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
    `GetPatientConsentStatusRequest` | `createGetStatusRequest(AuthorWithPatientAndPersonType author, SelectGetPatientConsentType consent)` Method which allows an end-user to check the status of an intformed patient consent
    `String` | `createKmehrID(String firstHcPartyIdOfAuthor)` Method which create Identification of the request.
    `PutPatientConsentRequest` | `createPutRequest(AuthorWithPatientAndPersonType author, ConsentType consent)` Method which allows an end-user to declare an informed patient consent.
    `RevokePatientConsentRequest` | `createRevokeRequest(AuthorWithPatientAndPersonType author, ConsentType consent)` Method which allows an end-user to declare the revocation of an informed patient consent.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WSCONSENT_MAXROWS

          public static final String WSCONSENT_MAXROWS

      the property to retrieve the maximum number of rows for to be retrieved by the get method from the configuration.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RequestObjectBuilderImpl

          public RequestObjectBuilderImpl()
                                   throws WsConsentBusinessConnectorException,
                                          TechnicalConnectorException,
                                          InstantiationException

      Constructor.
      Throws:
        `WsConsentBusinessConnectorException`
        `TechnicalConnectorException`
        `InstantiationException`

  - ### Method Detail

    - #### createPutRequest

          public PutPatientConsentRequest createPutRequest(AuthorWithPatientAndPersonType author,
                                                           ConsentType consent)
                                                    throws TechnicalConnectorException,
                                                           WsConsentBusinessConnectorException,
                                                           InstantiationException

      Description copied from interface: `RequestObjectBuilder`
      Method which allows an end-user to declare an informed patient consent. Once the consent is declared, it is considered as ‘active’ consent.
      Specified by:
        `createPutRequest` in interface `RequestObjectBuilder`
      Parameters:
        `author` - Identification of the author (‘end-user’ ) performing the request.
        `consent` - ConsentType element
      Returns:
        PutPatientConsentRequest
      Throws:
        `TechnicalConnectorException`
        `WsConsentBusinessConnectorException`
        `InstantiationException`
      See Also:
        `be.ehealth.businessconnector.wsconsent.builders.RequestObjectBuilder#createPutPatientConsentRequest(be.fgov.ehealth.hubservices.core.v2.Request, be.fgov.ehealth.hubservices.core.v2.Consent)`

    - #### createGetRequest

          public GetPatientConsentRequest createGetRequest(AuthorWithPatientAndPersonType author,
                                                           SelectGetPatientConsentType consent)
                                                    throws TechnicalConnectorException,
                                                           WsConsentBusinessConnectorException,
                                                           InstantiationException

      Description copied from interface: `RequestObjectBuilder`
      Method which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
      Specified by:
        `createGetRequest` in interface `RequestObjectBuilder`
      Parameters:
        `author` - Identification of the author (‘end-user’ ) performing the request.
        `consent` - ConsentType element
      Returns:
        GetPatientConsentRequest object
      Throws:
        `TechnicalConnectorException`
        `WsConsentBusinessConnectorException`
        `InstantiationException`
      See Also:
        `be.ehealth.businessconnector.wsconsent.builders.RequestObjectBuilder#createGetPatientConsentRequest(be.fgov.ehealth.hubservices.core.v2.Request, be.fgov.ehealth.hubservices.core.v2.SelectGetPatientConsent)`

    - #### createGetStatusRequest

          public GetPatientConsentStatusRequest createGetStatusRequest(AuthorWithPatientAndPersonType author,
                                                                       SelectGetPatientConsentType consent)
                                                                throws TechnicalConnectorException,
                                                                       WsConsentBusinessConnectorException,
                                                                       InstantiationException

      Description copied from interface: `RequestObjectBuilder`
      Method which allows an end-user to check the status of an intformed patient consent
      Specified by:
        `createGetStatusRequest` in interface `RequestObjectBuilder`
      Parameters:
        `author` - Identification of the author ('end-user') performing the request.
        `consent` - ConsentType element
      Returns:
        GetPatientConsentStatusRequest object
      Throws:
        `TechnicalConnectorException`
        `WsConsentBusinessConnectorException`
        `InstantiationException`
      See Also:
        `be.ehealth.businessconnector.wsconsent.builders.RequestObjectBuilder#createGetPatientConsentStatusRequest(be.fgov.ehealth.hubservices.core.v2.Request, be.fgov.ehealth.hubservices.core.v2.SelectGetPatientConsent)`

    - #### createRevokeRequest

          public RevokePatientConsentRequest createRevokeRequest(AuthorWithPatientAndPersonType author,
                                                                 ConsentType consent)
                                                          throws TechnicalConnectorException,
                                                                 WsConsentBusinessConnectorException,
                                                                 InstantiationException

      Description copied from interface: `RequestObjectBuilder`
      Method which allows an end-user to declare the revocation of an informed patient consent. Once the consent is revoked, it is considered as ‘inactive’ consent.
      Specified by:
        `createRevokeRequest` in interface `RequestObjectBuilder`
      Parameters:
        `author` - Identification of the author (‘end-user’ ) performing the request.
        `consent` - ConsentType element
      Returns:
        RevokePatientConsentRequest object
      Throws:
        `TechnicalConnectorException`
        `WsConsentBusinessConnectorException`
        `InstantiationException`
      See Also:
        `be.ehealth.businessconnector.wsconsent.builders.RequestObjectBuilder#createRevokePatientConsentRequest(be.fgov.ehealth.hubservices.core.v2.Request, be.fgov.ehealth.hubservices.core.v2.Consent)`

    - #### createKmehrID

          public String createKmehrID(String firstHcPartyIdOfAuthor)
                               throws TechnicalConnectorException

      Method which create Identification of the request.
      Parameters:
        `firstHcPartyIdOfAuthor` -
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.